package com.chenyang.nse.bussiness.service.console;

import com.chenyang.nse.bussiness.dao.PageInfo;
import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseRole;
import com.chenyang.nse.bussiness.entity.orm.table.base.TBaseRolemenu;
import com.chenyang.nse.bussiness.entity.vo.MenuGridVO;
import java.util.List;
import java.util.Map;

public interface RoleService {
   List<TBaseRole> queryRoleByFlag(String flag);

   List<TBaseRole> query(Map<String, Object> params, PageInfo pageInfo);

   List<TBaseRole> queryAll();

   boolean checkNameExit(String rolename);

   TBaseRole queryRoleByUserId(String userId);

   TBaseRole queryRoleId(String roleid);

   void save(TBaseRole role);

   void remove(String idlist);

   void deleteRoleMenuByRoleid(String roleid);

   void saveRoleMenu(List<String> menulist, String roleid);

   void deleteRoleMenu(List<String> menulist, String roleid);

   List<TBaseRolemenu> queryMenuByRoleid(String id);

   List<MenuGridVO> queryMenuGridByRoleid(String roleId);

   int queryUserRoleCountByRoleId(String roleId);

   List<TBaseRole> queryRolesByUserId(String userId);

   void updataRole(TBaseRole role);
}
